%% LOAD DATA
clear all;
close all;

% OutputDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/7aug2015/moments_durability/State27DMA613_50store_250durabilityH/storegood/mod1/';
OutputDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/29apr2015/moments_1000/State27DMA613/store/mod1/';
Name = 'storegood';
SaveDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Documents/figs/';

FigureNo = 10;
Save = 0;

nlag= importdata([OutputDir 'nlag.txt']);
rho = importdata([OutputDir 'rho.txt']);
theta = importdata([OutputDir 'theta.txt']);
vfe = importdata([OutputDir 'vfe.txt']);
veps = importdata([OutputDir 'veps.txt']);
mu3eps = importdata([OutputDir 'mu3eps.txt']);
mu4eps = importdata([OutputDir 'mu4eps.txt']);
veta = importdata([OutputDir 'veta.txt']);
saleprob = importdata([OutputDir 'saleprob.txt']);
mu3eta = importdata([OutputDir 'mu3eta.txt']);
mu4eta = importdata([OutputDir 'mu4eta.txt']);
musale = importdata([OutputDir 'musale.txt']);
vsale = importdata([OutputDir 'vsale.txt']);
mu2sale = importdata([OutputDir 'mu2sale.txt']);
mu3sale = importdata([OutputDir 'mu3sale.txt']);
mu4sale = importdata([OutputDir 'mu4sale.txt']);


Vz = importdata([OutputDir 'Vz.txt']);
Vu = importdata([OutputDir 'Vu.txt']);
Vs = importdata([OutputDir 'Vs.txt']);
Vy = importdata([OutputDir 'Vy.txt']);
dataVy = importdata([OutputDir 'dataVy.txt']);
COVy = importdata([OutputDir 'COVy.txt']);
dataCOVy = importdata([OutputDir 'dataCOVy.txt']);
E3y = importdata([OutputDir 'E3y.txt']);
dataE3y = importdata([OutputDir 'dataE3y.txt']);
E4y = importdata([OutputDir 'E4y.txt']);
dataE4y = importdata([OutputDir 'dataE4y.txt']);

fracFE = vfe ./ Vy;
fracPERS = Vz ./ Vy;
fracMA = Vu ./ Vy;
fracSALES = Vs ./ Vy;



%% PLOT AUTOCOVARIANCE FUNCTION
figure(FigureNo+4);

dataACfn = [dataVy; dataCOVy];
ACfn = [Vy; COVy];

hold on;
plot([0:nlag]',dataACfn,'-ok','LineWidth',2);
plot([0:nlag]',ACfn,'-r','LineWidth',3);
hold off;
title('Autocovariance Function','FontSize',18);
grid on;
ylim([0 1.1*Vy]);
xlabel('Lag (weeks)','FontSize',18);
set(gca,'FontSize',18);
if Save==1
    print('-depsc',[SaveDir '/' Name '_acfn']);
    print('-dpdf',[SaveDir '/' Name '_acfn']);
end


%% PLOT AUTOCORRLEATION FUNCTION
figure(FigureNo+5);

dataACRfn = [dataVy; dataCOVy]./dataVy;
ACRfn = [Vy; COVy]./Vy;

hold on;
plot([0:nlag]',dataACRfn,'-ok','LineWidth',2);
plot([0:nlag]',ACRfn,'-r','LineWidth',2);
hold off;
title('Autocorrelation Function','FontSize',18);
grid on;
ylim([0 1]);
xlabel('Lag (weeks)','FontSize',18);
set(gca,'FontSize',18);
if Save==1
    print('-depsc',[SaveDir '/' Name '_acorrfn']);
    print('-dpdf',[SaveDir '/' Name '_acorrfn']);
end

