clear all;
close all;

%% DIRECTORIES
OutputBaseDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/29apr2015';
OutputBaseDir2 =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/7aug2015';
SaveDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/';
Name = 'est';
FigureNo = 10;
Save = 0;

ModelDir{1} = [OutputBaseDir '/moments_1000/State27/storegood/mod1/'];
ModelDir{2} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1/'];
ModelDir{3} = [OutputBaseDir '/moments_1000/State27County53/storegood/mod1/'];
ModelDir{4} = [OutputBaseDir '/moments_1000/State27DMA613_50prod/storegood/mod1/'];
ModelDir{5} = [OutputBaseDir '/moments_1000/State27DMA613_500prod/storegood/mod1/'];
ModelDir{6} = [OutputBaseDir '/moments_1000/State27DMA613_25stores/storegood/mod1/'];
ModelDir{7} = [OutputBaseDir '/moments_1000/State27DMA613_100stores/storegood/mod1/'];
ModelDir{8} = [OutputBaseDir '/moments_1463/State27/storegood/mod1/'];
ModelDir{9} = [OutputBaseDir '/moments_1463/State27DMA613/storegood/mod1/'];
ModelDir{10} = [OutputBaseDir '/moments_1463/State27County53/storegood/mod1/'];
ModelDir{11} = [OutputBaseDir '/moments_2000/State27DMA613/storegood/mod1/'];

ModelDir{12} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1eqwt/'];
ModelDir{13} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1ma5/'];
ModelDir{14} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1skew/'];
ModelDir{15} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1sales/'];
ModelDir{16} = [OutputBaseDir '/moments_1463/State27/storegood/mod1eqwt/'];
ModelDir{17} = [OutputBaseDir '/moments_1463/State27/storegood/mod1ma5/'];
ModelDir{18} = [OutputBaseDir '/moments_1463/State27/storegood/mod1skew/'];
ModelDir{19} = [OutputBaseDir '/moments_1463/State27/storegood/mod1sales/'];

ModelDir{20} = [OutputBaseDir '/moments_1000/State27/store/mod1/'];
ModelDir{21} = [OutputBaseDir '/moments_1000/State27DMA613/store/mod1/'];
ModelDir{22} = [OutputBaseDir '/moments_1000/State27County53/store/mod1/'];
ModelDir{23} = [OutputBaseDir '/moments_1000/State27DMA613_50prod/store/mod1/'];
ModelDir{24} = [OutputBaseDir '/moments_1000/State27DMA613_500prod/store/mod1/'];
ModelDir{25} = [OutputBaseDir '/moments_1000/State27DMA613_25stores/store/mod1/'];
ModelDir{26} = [OutputBaseDir '/moments_1000/State27DMA613_100stores/store/mod1/'];
ModelDir{27} = [OutputBaseDir '/moments_1463/State27/store/mod1/'];
ModelDir{28} = [OutputBaseDir '/moments_1463/State27DMA613/store/mod1/'];
ModelDir{29} = [OutputBaseDir '/moments_1463/State27County53/store/mod1/'];
ModelDir{30} = [OutputBaseDir '/moments_2000/State27DMA613/store/mod1/'];

ModelDir{31} = [OutputBaseDir '/moments_1000/State27DMA613_weighted/storegood/mod1/'];
ModelDir{32} = [OutputBaseDir '/moments_1000/State27DMA613_weighted/store/mod1/'];

ModelDir{33} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod/storegood/mod1/'];
ModelDir{34} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod/store/mod1/'];

ModelDir{35} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod_priceL/storegood/mod1/'];
ModelDir{36} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod_priceL/store/mod1/'];

ModelDir{37} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod_priceH/storegood/mod1/'];
ModelDir{38} = [OutputBaseDir2 '/moments_1000/State27DMA613_25store_50prod_priceH/store/mod1/'];

ModelDir{39} = [OutputBaseDir2 '/moments_durability/State27DMA613_50store_250durabilityH/storegood/mod1/'];
ModelDir{40} = [OutputBaseDir2 '/moments_durability/State27DMA613_50store_250durabilityH/store/mod1/'];
ModelDir{41} = [OutputBaseDir2 '/moments_durability/State27DMA613_50store_250durabilityL/storegood/mod1/'];
ModelDir{42} = [OutputBaseDir2 '/moments_durability/State27DMA613_50store_250durabilityL/store/mod1/'];

ModelDir{43} = [OutputBaseDir2 '/moments_4300/State27DMA613_25store_50prod/storegood/mod1/']; %unilever
ModelDir{44} = [OutputBaseDir2 '/moments_4300/State27DMA613_25store_50prod/store/mod1/'];
ModelDir{45} = [OutputBaseDir2 '/moments_4104/State27DMA613/storegood/mod1/']; %coke
ModelDir{46} = [OutputBaseDir2 '/moments_4104/State27DMA613/store/mod1/'];
ModelDir{47} = [OutputBaseDir2 '/moments_4104/State27DMA613_25store_50prod/storegood/mod1/']; %coke
ModelDir{48} = [OutputBaseDir2 '/moments_4104/State27DMA613_25store_50prod/store/mod1/'];

ModelDir{49} = [OutputBaseDir '/moments_1000/State27DMA613/storegood/mod1ma10/'];


dirlist = [1:49];
%% LOAD DATA

for is = dirlist
    
    disp(['Loading data for model ' int2str(is)]);
    
    OutputDir = ModelDir{is};
   model(is).name = OutputDir; 
   model(is).nlag= importdata([OutputDir 'nlag.txt']);
   model(is).rho = importdata([OutputDir 'rho.txt']);
   model(is).theta = importdata([OutputDir 'theta.txt']);
   model(is).theta1 = model(is).theta(1); 
   model(is).theta2 = model(is).theta(2); 
   model(is).vfe = importdata([OutputDir 'vfe.txt']);
   model(is).veps = importdata([OutputDir 'veps.txt']);
   model(is).mu3eps = importdata([OutputDir 'mu3eps.txt']);
   model(is).mu4eps = importdata([OutputDir 'mu4eps.txt']);
   model(is).veta = importdata([OutputDir 'veta.txt']);
   model(is).saleprob = importdata([OutputDir 'saleprob.txt']);
   model(is).mu3eta = importdata([OutputDir 'mu3eta.txt']);
   model(is).mu4eta = importdata([OutputDir 'mu4eta.txt']);
   model(is).musale = importdata([OutputDir 'musale.txt']);
   model(is).vsale = importdata([OutputDir 'vsale.txt']);
   model(is).mu2sale = importdata([OutputDir 'mu2sale.txt']);
   model(is).mu3sale = importdata([OutputDir 'mu3sale.txt']);
   model(is).mu4sale = importdata([OutputDir 'mu4sale.txt']);


   model(is).Vz = importdata([OutputDir 'Vz.txt']);
   model(is).Vu = importdata([OutputDir 'Vu.txt']);
   model(is).Vs = importdata([OutputDir 'Vs.txt']);
   model(is).Vy = importdata([OutputDir 'Vy.txt']);
   model(is).dataVy = importdata([OutputDir 'dataVy.txt']);
   model(is).COVy = importdata([OutputDir 'COVy.txt']);
   model(is).dataCOVy = importdata([OutputDir 'dataCOVy.txt']);
   model(is).E3y = importdata([OutputDir 'E3y.txt']);
   model(is).dataE3y = importdata([OutputDir 'dataE3y.txt']);
   model(is).E4y = importdata([OutputDir 'E4y.txt']);
   model(is).dataE4y = importdata([OutputDir 'dataE4y.txt']);

   model(is).fracFE = model(is).vfe ./ model(is).Vy;
   model(is).fracPERS = model(is).Vz ./ model(is).Vy;

   model(is).fracMA = model(is).Vu ./ model(is).Vy;
   model(is).fracSALES = model(is).Vs ./ model(is).Vy;

   model(is).ACOVFN = [model(is).Vy; model(is).COVy];
   model(is).ACORRFN = [model(is).Vy; model(is).COVy]./model(is).Vy;
   model(is).dataACOVFN = [model(is).dataVy; model(is).dataCOVy];
   model(is).dataACORRFN = [model(is).dataVy; model(is).dataCOVy]./model(is).dataVy;
   
end



% writetable(struct2table(model),[SaveDir '/' component '_est' int2str(estimation_num) '.csv'] );

%% SAVE WORKSPACE

save([SaveDir '/models_workspace.mat']);
writetable(struct2table(model),[SaveDir '/models_output.csv']);

return

%% autocovariance function
mlist = [13];
clist{1} = 'r';
clist{2} = 'b';
clist{3} = 'm';
clist{4} = 'g';

figure;
hold on;
for ii = 1:numel(mlist)
    im = mlist(ii)
    plot([0:model(im).nlag]',model(im).dataACOVFN,'-ok','LineWidth',2);
    plot([0:model(im).nlag]',model(im).ACOVFN,clist{ii},'LineWidth',2);
end    
hold off;


set(gca,'FontSize',16);
if Save==1
    print('-depsc',[SaveDir '/' Name '_d']);
    print('-dpdf',[SaveDir '/' Name '_d']);
end

%% autocorrelation function
mlist = [1:4];

figure;
hold on;
grid on;
for im = mlist
    plot([0:model(im).nlag]',model(im).dataACORRFN,'-ok','LineWidth',2);
    plot([0:model(im).nlag]',model(im).ACORRFN,clist{im},'LineWidth',2);
end    
hold off;
ylim([0 1]);

set(gca,'FontSize',16);
if Save==1
    print('-depsc',[SaveDir '/' Name '_d']);
    print('-dpdf',[SaveDir '/' Name '_d']);
end




%% PLOT AUTOCOVARIANCE FUNCTION
figure(FigureNo+4);


hold on;
plot([0:nlag]',dataACfn,'-ok','LineWidth',3);
plot([0:nlag]',ACfn,'-r','LineWidth',2);
hold off;
title('Autocovariance Function','FontSize',16)
grid on;
ylim([0 1.1*Vy]);
set(gca,'FontSize',16);
if Save==1
    print('-depsc',[SaveDir '/' Name '_d']);
    print('-dpdf',[SaveDir '/' Name '_d']);
end



% save([SaveDir '/' Name '_workspace.mat']);

