%% LOAD DATA
clear all;
close all;

OutputBaseDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/Moments6Yr_alt1000/';
Name = 'est';
SaveDir =  '/Volumes/FILES/Dropbox/MultiProductSearch/ScannerDecomposition/Output/Moments6Yr_alt1000/';
FigureNo = 10;
Save = 0;
component = 'store'; %'store' or 'storegood';
estimation_num = 1; %1,2 or 3

statelist = importdata([OutputBaseDir 'statelist.txt']);
nstates = length(statelist);

for ii = 1:nstates
    
    is = statelist(ii);
    
    disp(['Loading data for state ' int2str(is)]);
    OutputDir = [OutputBaseDir 'State' int2str(is) '/' component '/estimation' int2str(estimation_num) '/'];
   
   state(ii).stateid= is;
   state(ii).nlag= importdata([OutputDir 'nlag.txt']);
   state(ii).rho = importdata([OutputDir 'rho.txt']);
   state(ii).theta = importdata([OutputDir 'theta.txt']);
   state(ii).theta1 = state(ii).theta(1); 
   state(ii).theta2 = state(ii).theta(2); 
   state(ii).vfe = importdata([OutputDir 'vfe.txt']);
   state(ii).veps = importdata([OutputDir 'veps.txt']);
   state(ii).mu3eps = importdata([OutputDir 'mu3eps.txt']);
   state(ii).mu4eps = importdata([OutputDir 'mu4eps.txt']);
   state(ii).veta = importdata([OutputDir 'veta.txt']);
   state(ii).saleprob = importdata([OutputDir 'saleprob.txt']);
   state(ii).mu3eta = importdata([OutputDir 'mu3eta.txt']);
   state(ii).mu4eta = importdata([OutputDir 'mu4eta.txt']);
   state(ii).musale = importdata([OutputDir 'musale.txt']);
   state(ii).vsale = importdata([OutputDir 'vsale.txt']);
   state(ii).mu2sale = importdata([OutputDir 'mu2sale.txt']);
   state(ii).mu3sale = importdata([OutputDir 'mu3sale.txt']);
   state(ii).mu4sale = importdata([OutputDir 'mu4sale.txt']);


   state(ii).Vz = importdata([OutputDir 'Vz.txt']);
   state(ii).Vu = importdata([OutputDir 'Vu.txt']);
   state(ii).Vs = importdata([OutputDir 'Vs.txt']);
   state(ii).Vy = importdata([OutputDir 'Vy.txt']);
   state(ii).dataVy = importdata([OutputDir 'dataVy.txt']);
   state(ii).COVy = importdata([OutputDir 'COVy.txt']);
   state(ii).dataCOVy = importdata([OutputDir 'dataCOVy.txt']);
   state(ii).E3y = importdata([OutputDir 'E3y.txt']);
   state(ii).dataE3y = importdata([OutputDir 'dataE3y.txt']);
   state(ii).E4y = importdata([OutputDir 'E4y.txt']);
   state(ii).dataE4y = importdata([OutputDir 'dataE4y.txt']);

   state(ii).fracFE = state(ii).vfe ./ state(ii).Vy;
   state(ii).fracPERS = state(ii).Vz ./ state(ii).Vy;

   state(ii).fracMA = state(ii).Vu ./ state(ii).Vy;
   state(ii).fracSALES = state(ii).Vs ./ state(ii).Vy;

end



%%
writetable(struct2table(state),[SaveDir '/' component '_est' int2str(estimation_num) '.csv'] );
return

%% PLOT AUTOCOVARIANCE FUNCTION
figure(FigureNo+4);

dataACfn = [dataVy; dataCOVy];
ACfn = [Vy; COVy];

hold on;
plot([0:nlag]',dataACfn,'-ok','LineWidth',3);
plot([0:nlag]',ACfn,'-r','LineWidth',2);
hold off;
title('Autocovariance Function','FontSize',16)
grid on;
ylim([0 1.1*Vy]);
set(gca,'FontSize',16);
if Save==1
    print('-depsc',[SaveDir '/' Name '_d']);
    print('-dpdf',[SaveDir '/' Name '_d']);
end



% save([SaveDir '/' Name '_workspace.mat']);

