SUBROUTINE GetData

USE Parameters
USE Globals

IMPLICIT NONE

INTEGER :: ibs,im
CHARACTER(len=1000) :: charbs,inputdir,charstate,charcounty,chardma

nmoments = nlag+1
IF(Match3rdMoment==1) nmoments = nmoments+1
IF(Match4thMoment==1) nmoments = nmoments+1
IF (ALLOCATED(cov)) DEALLOCATE(cov)
IF (ALLOCATED(lag)) DEALLOCATE(lag)
IF (ALLOCATED(nobs)) DEALLOCATE(nobs)

ALLOCATE(cov(nmoments),lag(nlag+1),nobs(nmoments))

IF (MultipleCounties==0 .and. MultipleDMAs==0) THEN
	IF(StoreComponent==1) THEN
		OPEN(1, FILE = datadir // '/store/cov.txt')
		OPEN(2, FILE = datadir // '/store/lag.txt')
		OPEN(3, FILE = datadir // '/store/nobs.txt')
		OPEN(4, FILE = datadir // '/store/mu3.txt')
		OPEN(5, FILE = datadir // '/store/mu4.txt')
	ELSE IF(StoreGoodComponent==1) THEN
		OPEN(1, FILE = datadir // '/storegood/cov.txt')
		OPEN(2, FILE = datadir // '/storegood/lag.txt')
		OPEN(3, FILE = datadir // '/storegood/nobs.txt')
		OPEN(4, FILE = datadir // '/storegood/mu3.txt')
		OPEN(5, FILE = datadir // '/storegood/mu4.txt')
	END IF
	
ELSE IF (MultipleCounties==1 .or. MultipleDMAs==1) THEN
	IF (statelist(gis)<10) WRITE(UNIT=charstate, FMT='(I1)') statelist(gis)
	IF (statelist(gis)>=10) WRITE(UNIT=charstate, FMT='(I2)') statelist(gis)

	IF(MultipleCounties==1) THEN
		IF (countylist(gis)<10) WRITE(UNIT=charcounty, FMT='(I1)') countylist(gis)
		IF (countylist(gis)>=10 .and. countylist(gis)<100) WRITE(UNIT=charcounty, FMT='(I2)') countylist(gis)
		IF (countylist(gis)>=100 .and. countylist(gis)<1000) WRITE(UNIT=charcounty, FMT='(I3)') countylist(gis)
		inputdir = areabasedir // '/State' // trim(charstate) // 'County' // trim(charcounty)
	ELSE IF	(MultipleDMAs==1) THEN
		IF (dmalist(gis)<10) WRITE(UNIT=chardma, FMT='(I1)') dmalist(gis)
		IF (dmalist(gis)>=10 .and. dmalist(gis)<100) WRITE(UNIT=chardma, FMT='(I2)') dmalist(gis)
		IF (dmalist(gis)>=100 .and. dmalist(gis)<1000) WRITE(UNIT=chardma, FMT='(I3)') dmalist(gis)
		inputdir = areabasedir // '/State' // trim(charstate) // 'DMA' // trim(chardma)
	END IF

	IF(StoreComponent==1) THEN
		OPEN(1, FILE = trim(inputdir) // '/store/cov.txt')
		OPEN(2, FILE = trim(inputdir) // '/store/lag.txt')
		OPEN(3, FILE = trim(inputdir) // '/store/nobs.txt')
		OPEN(4, FILE = trim(inputdir) // '/store/mu3.txt')
		OPEN(5, FILE = trim(inputdir) // '/store/mu4.txt')
	ELSE IF(StoreGoodComponent==1) THEN
		OPEN(1, FILE = trim(inputdir) // '/storegood/cov.txt')
		OPEN(2, FILE = trim(inputdir) // '/storegood/lag.txt')
		OPEN(3, FILE = trim(inputdir) // '/storegood/nobs.txt')
		OPEN(4, FILE = trim(inputdir) // '/storegood/mu3.txt')
		OPEN(5, FILE = trim(inputdir) // '/storegood/mu4.txt')
	END IF
	
END IF

READ(1,*) cov(1:nlag+1); CLOSE(1)
READ(2,*) lag; CLOSE(2)
READ(3,*) nobs(1:nlag+1); CLOSE(3)
READ(4,*) dataE3y; CLOSE(4)
READ(5,*) dataE4y; CLOSE(5)

im = nlag+1
IF (Match3rdMoment==1) THEN
	im  = im+1
	cov(im) = dataE3y
	nobs(im) = nobs(1) !same number of obs as variance
END IF

IF (Match4thMoment==1) THEN
	im  = im+1
	cov(im) = dataE4y
	nobs(im) = nobs(1) !same number of obs as variance
END IF
	


! 	
! 	DO ibs = 1,nbstraps
! 
! 		write(charbs,*) ibs
! 		charbs = adjustl(charbs)
! 
! 		OPEN(1, FILE = bsdir  // 'bs' // trim(charbs) // filesep // 'nmoments.txt')
! 		READ(1,*) bsnmoments(ibs); CLOSE(1)
! 
! 		OPEN(1, FILE = bsdir // 'bs' // trim(charbs) // filesep // 'age.txt')
! 		READ(1,*) bsage(1:bsnmoments(ibs),ibs); CLOSE(1)
! 	    bsage(1:bsnmoments(ibs),ibs) = bsage(1:bsnmoments(ibs),ibs)-minage+1
! 
! 		OPEN(1, FILE = bsdir  // 'bs' // trim(charbs) // filesep // 'year.txt')
! 		READ(1,*) bsyear(1:bsnmoments(ibs),ibs); CLOSE(1)
! 	    bsyear(1:bsnmoments(ibs),ibs) = bsyear(1:bsnmoments(ibs),ibs)-minyear+1
! 
! 		OPEN(1, FILE = bsdir // 'bs' // trim(charbs) // filesep // 'cov.txt')
! 		READ(1,*) bscov(1:bsnmoments(ibs),ibs); CLOSE(1)
! 
! 		OPEN(1, FILE = bsdir  // 'bs' // trim(charbs) // filesep // 'lag.txt')
! 		READ(1,*) bslag(1:bsnmoments(ibs),ibs); CLOSE(1)
! 
! 		OPEN(1, FILE = bsdir  // 'bs' // trim(charbs) // filesep // 'nobs.txt')
! 		READ(1,*) bsnobs(1:bsnmoments(ibs),ibs); CLOSE(1)
! 
! 	END DO
! 
! 
! END IF


END SUBROUTINE GetData