SUBROUTINE OutputResults

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

INTEGER	:: il
CHARACTER(len=23) ::	a,charstate,charcounty,chardma
CHARACTER(len=1000) ::	savedir


IF(MultipleCounties==0 .and. MultipleDMAs==0) THEN
	IF(StoreComponent==1) savedir = trim(datadir) // '/store/'// trim(outputname) // '/'
	IF(StoreGoodComponent==1) savedir = trim(datadir) // '/storegood/'// trim(outputname) // '/'
END IF


IF (MultipleCounties==1 .or. MultipleDMAs==1) THEN
	IF (statelist(gis)<10) WRITE(UNIT=charstate, FMT='(I1)') statelist(gis)
	IF (statelist(gis)>=10) WRITE(UNIT=charstate, FMT='(I2)') statelist(gis)

	IF(MultipleCounties==1) THEN
		IF (countylist(gis)<10) WRITE(UNIT=charcounty, FMT='(I1)') countylist(gis)
		IF (countylist(gis)>=10 .and. countylist(gis)<100) WRITE(UNIT=charcounty, FMT='(I2)') countylist(gis)
		IF (countylist(gis)>=100 .and. countylist(gis)<1000) WRITE(UNIT=charcounty, FMT='(I3)') countylist(gis)
		IF(StoreComponent==1) savedir = areabasedir // '/State' // trim(charstate) // 'County' // trim(charcounty)  // '/store/' // trim(outputname) // '/'
		IF(StoreGoodComponent==1) savedir = areabasedir // '/State' // trim(charstate) // 'County' // trim(charcounty)  // '/storegood/' // trim(outputname) // '/'

	ELSE IF	(MultipleDMAs==1) THEN
		IF (dmalist(gis)<10) WRITE(UNIT=chardma, FMT='(I1)') dmalist(gis)
		IF (dmalist(gis)>=10 .and. dmalist(gis)<100) WRITE(UNIT=chardma, FMT='(I2)') dmalist(gis)
		IF (dmalist(gis)>=100 .and. dmalist(gis)<1000) WRITE(UNIT=chardma, FMT='(I3)') dmalist(gis)
		IF(StoreComponent==1) savedir = areabasedir // '/State' // trim(charstate) // 'DMA' // trim(chardma)  // '/store/' // trim(outputname) // '/'
		IF(StoreGoodComponent==1) savedir = areabasedir // '/State' // trim(charstate) // 'DMA' // trim(chardma)  // '/storegood/' // trim(outputname) // '/'
		
	END IF
END IF


CALL system ("mkdir -p " // trim(savedir) )

OPEN(3, FILE = trim(savedir) // 'nlag.txt', STATUS = 'replace'); WRITE(3,*) nlag; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'rho.txt', STATUS = 'replace'); WRITE(3,*) rho; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'theta.txt', STATUS = 'replace'); CALL WriteMatrix(3,6,1,theta)
OPEN(3, FILE = trim(savedir) // 'vfe.txt', STATUS = 'replace'); WRITE(3,*) vfe; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'veta.txt', STATUS = 'replace'); WRITE(3,*) veta; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu3eta.txt', STATUS = 'replace'); WRITE(3,*) mu3eta; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu4eta.txt', STATUS = 'replace'); WRITE(3,*) mu4eta; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'veps.txt', STATUS = 'replace'); WRITE(3,*) veps; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu3eps.txt', STATUS = 'replace'); WRITE(3,*) mu3eps; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu4eps.txt', STATUS = 'replace'); WRITE(3,*) mu4eps; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'musale.txt', STATUS = 'replace'); WRITE(3,*) musale; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'vsale.txt', STATUS = 'replace'); WRITE(3,*) vsale; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu2sale.txt', STATUS = 'replace'); WRITE(3,*) mu2sale; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu3sale.txt', STATUS = 'replace'); WRITE(3,*) mu3sale; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'mu4sale.txt', STATUS = 'replace'); WRITE(3,*) mu4sale; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'saleprob.txt', STATUS = 'replace'); WRITE(3,*) saleprob; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'Vy.txt', STATUS = 'replace'); WRITE(3,*) Vy; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'Vz.txt', STATUS = 'replace'); WRITE(3,*) Vz; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'Vu.txt', STATUS = 'replace'); WRITE(3,*) Vu; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'Vs.txt', STATUS = 'replace'); WRITE(3,*) Vs; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E3y.txt', STATUS = 'replace'); WRITE(3,*) E3y; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E3z.txt', STATUS = 'replace'); WRITE(3,*) E3z; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E3u.txt', STATUS = 'replace'); WRITE(3,*) E3u; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E3s.txt', STATUS = 'replace'); WRITE(3,*) E3s; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E4y.txt', STATUS = 'replace'); WRITE(3,*) E4y; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E4z.txt', STATUS = 'replace'); WRITE(3,*) E4z; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E4u.txt', STATUS = 'replace'); WRITE(3,*) E4u; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'E4s.txt', STATUS = 'replace'); WRITE(3,*) E4s; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'dataVy.txt', STATUS = 'replace'); WRITE(3,*) dataVy; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'dataE3y.txt', STATUS = 'replace'); WRITE(3,*) dataE3y; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'dataE4y.txt', STATUS = 'replace'); WRITE(3,*) dataE4y; CLOSE(3)
OPEN(3, FILE = trim(savedir) // 'COVy.txt', STATUS = 'replace'); CALL WriteMatrix(3,nlag,1,COVy)
OPEN(3, FILE = trim(savedir) // 'dataCOVy.txt', STATUS = 'replace'); CALL WriteMatrix(3,nlag,1,dataCOVy)

END SUBROUTINE OutputResults